using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;

/// <summary>
/// Summary description for DataBaseContext
/// </summary>
public class DataBaseContext:System.Data.Entity.DbContext
{
    public DataBaseContext()
        : base("DataConnectionString")
    {

    }
    static DataBaseContext()
    {
        System.Data.Entity.Database.SetInitializer(
            new System.Data.Entity.CreateDatabaseIfNotExists<DataBaseContext>());
    }
    public System.Data.Entity.DbSet<article> articles { get; set; }
    public System.Data.Entity.DbSet<like> likes { get; set; }
    public System.Data.Entity.DbSet<dislike> dislikes { get; set; }
}